View Issue Details

IDProjectCategoryView StatusLast Update
0004705Talerexchangepublic2016-11-20 03:26
ReporterMarcello StanisciAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.2Fixed in Version0.2 
Summary0004705: Non compliant error returned
DescriptionWhen some error occur, the merchant backend does not send back any JSON which complies with the one described at [1]. Namely, it lacks the 'code' field.


[1] api-common.html#errordetail
TagsNo tags attached.

Relationships

related to 0004497 closedChristian Grothoff revise error responses 

Activities

Marcello Stanisci

2016-10-07 18:24

manager   ~0011272

It appears that not even the exchange complies to this layout (yet?).

Christian Grothoff

2016-10-18 23:08

manager   ~0011347

I've just updated the exchange to add "code" to error responses (aa3332b..70462f0). However, the exchange C library does not yet use/export those codes. (Merchant is also still to be modified.)

Christian Grothoff

2016-10-20 21:34

manager   ~0011371

C API should now also always return Taler-specific error codes.

Issue History

Date Modified Username Field Change
2016-10-04 17:30 Marcello Stanisci New Issue
2016-10-04 17:30 Marcello Stanisci Status new => assigned
2016-10-04 17:30 Marcello Stanisci Assigned To => Marcello Stanisci
2016-10-07 18:24 Marcello Stanisci Note Added: 0011272
2016-10-07 18:24 Marcello Stanisci Assigned To Marcello Stanisci =>
2016-10-09 01:50 Christian Grothoff Status assigned => acknowledged
2016-10-09 01:50 Christian Grothoff Product Version => SVN HEAD
2016-10-09 01:50 Christian Grothoff Target Version => 0.2
2016-10-10 08:39 Christian Grothoff Assigned To => Christian Grothoff
2016-10-10 08:39 Christian Grothoff Status acknowledged => assigned
2016-10-10 08:39 Christian Grothoff Relationship added related to 0004497
2016-10-18 23:08 Christian Grothoff Note Added: 0011347
2016-10-18 23:08 Christian Grothoff Description Updated View Revisions
2016-10-18 23:09 Christian Grothoff Category mechant backend => exchange
2016-10-20 21:34 Christian Grothoff Note Added: 0011371
2016-10-20 21:34 Christian Grothoff Status assigned => resolved
2016-10-20 21:34 Christian Grothoff Fixed in Version => 0.2
2016-10-20 21:34 Christian Grothoff Resolution open => fixed
2016-11-20 03:26 Christian Grothoff Status resolved => closed